[ Maverik Level 2 typedefs ]

#

MAV_class

## Summary

Maverik class.

## Syntax

    typedef struct {
      MAV_callbackFn fn[MAV_MAX_CBS][MAV_MAX_WIN];
    } MAV_class;

## Description

This data structure is described for information only. Users will never directly access its contents, but it is hoped that by exposing them users will gain an insight into how Maverik operates.

A Maverik class is simply an array of callback functions -- methods which act upon the data structure associated with this class. Note that callback functions are defined on a per class and per window basis, thus allowing for the possibility of different behaviour in different windows. For example, the draw callback for an object may cause it to rendered filled in one window, and rendered in wire-frame in another window.

Back to the index page.